Description
Hi

| have installed the latest OpenElec (v 5.0.0) on my Acer Revo, with a HD HomeRun Dual Network tuner (DVB-T Australian version).

Upon first installation, everything works fine, TV tuner found, channels scanned and found.

As soon as | reboot the machine | get the 'No free TV adapter' error. | have rebuilt my Acer a few times with OpenElec and | still get

this problem.

When | get this error and login to the tvheadend web page (<ip of Kodi machine>:9981), | find the list of TV adapters under DVB

Inputs are now empty.

Log file enclosed.

History

#1 - 2015-01-06 19:50 - Daniel Ebdrup

| have found that adding the following to /storage/.config/autostart.sh:

#try and rediscover hdhomerun
hdhomerun_config discover &

If you dont have this file, you should add this to as the first line:

#!/bin/sh

#2 - 2015-01-06 23:41 - Rajesh Tandon

Thank you Daniel.

| created the autostart.sh file in /storage/.config

Ran chmod 777 on the file.

Put these lines into it:

#!/bin/sh

#try and rediscover hdhomerun

hdhomerun_config discover &

Saved and ran the file.

The output was: "homerun device 12211275 found at 192.x.x.3". So seemed good.

However, the webpage for tvheadend still shows empty DVB Input list and XBMC still shows 'No free adapter' (I have tried to reboot t00).

Any further ideas?

Regards

#3 - 2015-01-07 09:21 - Andy Brown

I'm not an expert on HD homerun, but it may be that after the HD homerun script you need to restart TVHeadend to re-read the adapters?

If so, just modify your script to:

#!/bin/sh
#try and rediscover hdhomerun

hdhomerun_config discover

/etc/init.d/tvheadend restart

(Note | removed the & from the hdhomerun_config discover line so that it blocks before restarting tvheadend)
That may solve the issue as it sounds like tvh is starting before the tuners are detected/configured.

#4 - 2015-01-07 10:57 - Daniel Ebdrup

Alternatively you can change the line to make use of a conditional and:

#!/bin/sh

#rediscover hdhomerun and restart tvheadend

hdhomerun_config discover && /etc/init.d/tvheadend restart

This means the second command wont run until the first one exits with error code 0 (which only happens when that the command succeeded).

Have you enabled the "wait for network before starting" under OpenELEC Settings? It might not be discovering the hdhomerun simply because there
is no active network connection when autostart.sh is executed.

#5 - 2015-01-08 03:57 - Rajesh Tandon

Thanks for your help.

| got it working eventually (with your first solution) , | think it was by adding the tvheadend driver in the XBMC Add-ons itself !
Strange but it should either work with the driver or not, but it seemed to only work without the driver on first installation and no reboot.
I'll keep your other solutions in mind, in case | get stuck again !

Version 5.0 of Openelec, coupled with the version of Tvheadend supplied, is much more stable now. | get flawless TV streaming using a 802.11n
USB adapter.

| use the Yatse remote on Android, which is great, but if you know of a better remote geared towards Live TV let me know !
Thanks for your help once again.

Regards

#6 - 2015-01-10 15:36 - Andy Brown

- Status changed from New to Resolved

#7 - 2015-01-17 19:37 - Jaroslav Kysela

- Status changed from Resolved to Fixed

Files

log-2014-12-29-11.56.26.zip 64.9 KB 2014-12-29 Rajesh Tandon

2021-10-17 22


http://www.tcpdf.org

